%define name    kino
%define version 1.0.0
%define release %mkrel 1

Summary: 	GNOME DV-editing utility
Name: 		%{name}
Version:	%{version}
Release: 	%{release}
Source0: 	http://prdownloads.sf.net/kino/%{name}-%{version}.tar.bz2
URL: 		http://www.kinodv.org/
License: 	GPL
Group: 		Video
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	a52dec-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	libavc1394-devel
BuildRequires:	libdv-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libiec61883-devel
BuildRequires:	libquicktime-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libxv-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	desktop-file-utils
Requires:	udev
Requires:	mjpegtools
Requires(post):	shared-mime-info
Requires(postun):	shared-mime-info

#gw needed by the scripts in /usr/share/kino/scripts
Requires:	ffmpeg
#it needs rawplay
Requires:	smilutils
BuildRequires:	libffmpeg-devel
Epoch:		2

%description
The new generation of digital camcorders use the Digital Video (DV) data
format. Kino allows you to record, create, edit, and play movies recorded
with DV camcorders. Unlike other editors, this program uses many keyboard
commands for fast navigating and editing inside the movie.

%package	devel
Group:		Development/C++
Summary:	Header files for kino plugin development
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libsamplerate-devel
Requires:	libdv-devel
Requires:	libgnomeui2-devel
Requires:	libxml2-devel
Requires:	libffmpeg-devel

%description	devel
This contains the C++ headers needed to build extensions for kino.

%prep
%setup -q

%build
%configure2_5x	--with-quicktime --disable-local-ffmpeg
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
%makeinstall_std
rm -rf %{buildroot}%{_sysconfdir}/hotplug/ %{buildroot}%{_libdir}/hotplug

%find_lang %{name}

mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="kino"\
title="Kino"\
longtitle="Video editor for DV format"\
needs="x11"\
icon="video_section.png"\
section="Multimedia/Video"\
xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GNOME" \
  --add-category="GTK" \
  --add-category="Video" \
  --add-category="Recorder" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*
 
%post
%update_menus
update-mime-database %{_datadir}/mime > /dev/null

%postun
%update_menus 
update-mime-database %{_datadir}/mime > /dev/null

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog NEWS README* TODO
%{_sysconfdir}/udev/rules.d/kino.rules
%{_bindir}/*
%{_menudir}/*
%{_datadir}/mime/packages/kino.xml
%{_mandir}/man1/*
%{_datadir}/kino/
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_libdir}/kino-gtk2/

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}


%changelog
* Wed Mar 14 2007 Austin Acton <austin@mandriva.org> 1.0.0-1mdv2007.1
+ Revision: 143841
- 1.0.0
- remove unneeded patches
- force system ffmpeg

* Thu Mar 01 2007 Emmanuel Andry <eandry@mandriva.org> 2:0.9.5-2mdv2007.1
+ Revision: 130399
- rebuild for libgii

* Wed Jan 17 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2:0.9.5-1mdv2007.1
+ Revision: 110002
- add desktop-file-utils to buildrequires
- build against libffmpeg on all platforms
- new release: 0.9.5
  regenerate P1
  some spec cleaning/cosmetics

* Fri Dec 22 2006 Christiaan Welvaart <spturtle@mandriva.org> 2:0.9.2-2mdv2007.1
+ Revision: 101543
- add BuildRequires: libdv-devel libiec61883-devel libxv-devel
- Import kino



* Tue Sep 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2:0.9.2-1mdv2007.0
- New version 0.9.2

* Sun Jul 16 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.1-1mdv2007.0
- XDG

* Wed Apr 19 2006 Stefan van der Eijk <stefan@eijk.nu> 2:0.8.1-3mdk
- fix x86_64 build

* Tue Apr 18 2006 Stefan van der Eijk <stefan@eijk.nu> 2:0.8.1-2mdk
- BuildRequires: alsa-lib-devel & perl-XML-Parser

* Tue Apr 18 2006 Jerome Martin <jmartin@mandriva.org> 2:0.8.1-1mdk
- 0.8.1
- BuildRequires: libquicktime-devel and remove BuildConflict

* Mon Apr 17 2006 Stefan van der Eijk <stefan@eijk.nu> 0.7.6-5mdk
- %%mkrel
- BuildRequires
- Remove "BuildRequires: libquicktime-devel" for now
- URL

* Fri Sep  2 2005 Olivier Blin <oblin@mandriva.com> 0.7.6-4mdk
- require udev instead of hotplug

* Sat Aug 27 2005 Olivier Blin <oblin@mandriva.com> 0.7.6-3mdk
- move broken hotplug script to udev rule

* Fri Jul 22 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.6-2mdk
- Fix build on MDK <= 2006

* Mon May 30 2005 Gtz Waschk <waschk@mandriva.org> 0.7.6-1mdk
- update file list
- patch for new libquicktime
- new source URL
- New release 0.7.6

* Sat Feb 12 2005 Austin Acton <austin@mandrake.org> 0.7.5-3mdk
- requires mjpegtools

* Sat Jan 29 2005 Austin Acton <austin@mandrake.org> 0.7.5-2mdk
- rebuild for libraw1394

* Fri Dec  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.5-1mdk
- always define hotplugdir
- new version

* Fri Oct 22 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.7.3-2mdk
- hotplugdir fixes

* Tue Aug 10 2004 Austin Acton <austin@mandrake.org> 0.7.3-1mdk
- 0.7.3

* Tue Jul 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.2-1mdk
- drop patch 1
- fix URLs
- New release 0.7.2

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-4mdk
- Rebuild

* Sun May 23 2004 Austin Acton <austin@mandrake.org> 0.7.1-3mdk
- requires smilutils

* Thu May 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.1-2mdk
- fix devel deps

* Wed Apr 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.1-1mdk
- add hotplug and locale files
- fix buildrequires
- fix menu entry
- new version

* Wed Apr 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-5mdk
- new version

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-5mdk
- new dv

* Thu Feb 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-4mdk
- fix deps of the devel package

* Wed Jan  7 2004 Erwan Velu <erwan@mandrakesoft.com> 0.7.0-3mdk
- Fixing requires (ffmpeg)

* Wed Jan  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-2mdk
- fix file list
- fix buildrequires

* Mon Jan  5 2004 Antoine Ginies <aginies@mandrakesoft.com> 0.7.0-1mdk
- release 0.7

* Sun Dec 14 2003 Austin Acton <austin@linux.ca> 0.6.5-1mdk
- 0.6.5
- pretty-up the spec a bit
- remove some majors, some distlint
- remove patch

* Wed Jul 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-4mdk
- replace the patch by a fixed version

* Wed Jun 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-3mdk
- patch for new gcc

* Tue Apr 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-2mdk
- fix distriblint warning
- remove redundant buildrequires

* Mon Feb 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-1mdk
- only enable ffmpeg for PPC as recommended by the author
- new version

* Thu Feb 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-2mdk
- enable quicktime and ffmpeg, please test

* Fri Feb  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-1mdk
- macros
- new version

* Tue Oct 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- remove Makefiles from pixmap dir
- new epoch
- new version 

* Thu Aug 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.51-1mdk
- remove the build hacks
- drop patch
- 0.51
- libdv2

* Wed Jul 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5-3mdk
- add missing files
- build fixes
- fix summary
- libdv-compat1
- fix buildrequirements
- quiet tar

* Mon Mar 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- rebuild

* Wed Feb 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- 0.5
- icon

* Mon Oct 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.46-2mdk
- fix {Build,}Requires
- use libdv1 too

* Tue Oct 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.46-1mdk
- 0.46

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.45-1mdk
- 0.45
- recompiled against new libraw1394 and lilbavc1394

* Fri Dec 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3-1mdk 
- updated to 0.3

* Mon Dec 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.21-1mdk
- new in contribs
- used srpm from rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v0.21-1mdk (initial packaging)
